Bug 135406 - Border color not listed in the Styles Inspector
Summary: Border color not listed in the Styles Inspector
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Shivam Kumar Singh
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Styles_Inspector
  Show dependency treegraph
 
Reported: 2020-08-03 09:11 UTC by Heiko Tietze
Modified: 2020-08-11 09:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document (15.86 KB, application/vnd.oasis.opendocument.text)
2020-08-03 09:13 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-08-03 09:11:57 UTC
* Add some dummy text
* Create a new style based on Default
* Set border on top and bottom on with a red line color
* Apply the new style (should have a red line above and below)
* Find in the SI 5x BorderDistance but no line color
Comment 1 Heiko Tietze 2020-08-03 09:13:09 UTC
Created attachment 163893 [details]
Example document
Comment 2 Xisco Faulí 2020-08-03 15:22:37 UTC
Moving to NEW
Comment 3 Commit Notification 2020-08-09 19:50:53 UTC
Shivam Kumar Singh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6ce2eddfdc35100b8079a4584dd3945e923d66a9

tdf#135406 - Border properties not properly listed in the Styles Inspector

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Heiko Tietze 2020-08-11 09:38:25 UTC
Works if the style is modified but not when applied directly to the paragraph, see bug 135115.